Bug 197271 - [ipfw] "ipfw -t list" and "ipfw -T list" core dumps
Summary: [ipfw] "ipfw -t list" and "ipfw -T list" core dumps
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: CURRENT
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Alexander V. Chernikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-02 14:11 UTC by Lev A. Serebryakov
Modified: 2015-07-09 09:20 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lev A. Serebryakov freebsd_committer 2015-02-02 14:11:19 UTC
On fresh CURRENT system (r277756 and r278021 were checked) "ipfw -t list" and "ipfw -T list" core dumps (signal 11) without any output.

Stacktrace on r278021 is:

#0  show_static_rule () at /data/src/sbin/ipfw/ipfw2.c:1410
#1  0x000000000040cb83 in list_static_range (rtlv=0x0) at /data/src/sbin/ipfw/ipfw2.c:2431
#2  0x0000000000404624 in ipfw_list (ac=1, av=<value optimized out>, show_counters=<value optimized out>) at /data/src/sbin/ipfw/ipfw2.c:2602
#3  0x00000000004111c7 in ipfw_main (oldac=<value optimized out>, oldav=0x801406050) at /data/src/sbin/ipfw/main.c:436
#4  0x0000000000410467 in main (ac=Unhandled dwarf expression opcode 0x93
) at /data/src/sbin/ipfw/main.c:621
#5  0x000000000040293f in _start ()
Comment 1 commit-hook freebsd_committer 2015-02-05 14:09:07 UTC
A commit references this bug:

Author: melifaro
Date: Thu Feb  5 14:08:34 UTC 2015
New revision: 278261
URL: https://svnweb.freebsd.org/changeset/base/278261

Log:
  Retrieve counters from kernel if rule timstamping is requested.

  PR:		kern/197271
  Submitted by:	lev
  Sponsored by:	Yandex LLC

Changes:
  head/sbin/ipfw/ipfw2.c
Comment 2 Glen Barber freebsd_committer 2015-07-08 18:32:12 UTC
To originators/assignees of this PR:

A commit to the tree references this PR, however the PR is still in a non-closed state.

Please review this PR and close as appropriate, or if closing the PR requires a merge to stable/10, please let re@ know as soon as possible.

Thank you.

Glen